diff --git a/SpritePacker/Program.cs b/SpritePacker-CLI/Program.cs
similarity index 98%
rename from SpritePacker/Program.cs
rename to SpritePacker-CLI/Program.cs
index dacc55b..a7d6f70 100644
--- a/SpritePacker/Program.cs
+++ b/SpritePacker-CLI/Program.cs
@@ -1,8 +1,6 @@
 ﻿using System;
 using System.Collections.Generic;
-using System.Windows.Markup;
 using System.IO;
-using System.Reflection;
 
 namespace SpritePacker
 {
diff --git a/SpritePacker-CLI/Properties/AssemblyInfo.cs b/SpritePacker-CLI/Properties/AssemblyInfo.cs
new file mode 100644
index 0000000..ec5fae7
--- /dev/null
+++ b/SpritePacker-CLI/Properties/AssemblyInfo.cs
@@ -0,0 +1,27 @@
+﻿using System.Reflection;
+using System.Runtime.CompilerServices;
+
+// Information about this assembly is defined by the following attributes.
+// Change them to the values specific to your project.
+
+[assembly: AssemblyTitle("SpritePacker")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("")]
+[assembly: AssemblyCopyright("Starbeamrainbowlabs")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// The assembly version has the format "{Major}.{Minor}.{Build}.{Revision}".
+// The form "{Major}.{Minor}.*" will automatically update the build and revision,
+// and "{Major}.{Minor}.{Build}.*" will update just the revision.
+
+[assembly: AssemblyVersion("0.1.*")]
+
+// The following attributes are used to specify the signing key for the assembly,
+// if desired. See the Mono documentation for more information about signing.
+
+//[assembly: AssemblyDelaySign(false)]
+//[assembly: AssemblyKeyFile("")]
+
diff --git a/SpritePacker/Resources/HelpText.txt b/SpritePacker-CLI/Resources/HelpText.txt
similarity index 100%
rename from SpritePacker/Resources/HelpText.txt
rename to SpritePacker-CLI/Resources/HelpText.txt
diff --git a/SpritePacker/Resources/VersionText.txt b/SpritePacker-CLI/Resources/VersionText.txt
similarity index 100%
rename from SpritePacker/Resources/VersionText.txt
rename to SpritePacker-CLI/Resources/VersionText.txt
diff --git a/SpritePacker-CLI/SpritePacker-CLI.csproj b/SpritePacker-CLI/SpritePacker-CLI.csproj
new file mode 100644
index 0000000..cd547b7
--- /dev/null
+++ b/SpritePacker-CLI/SpritePacker-CLI.csproj
@@ -0,0 +1,59 @@
+<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
+    <ProjectGuid>{6EF47B64-1920-4827-BEEF-B262D5A2D214}</ProjectGuid>
+    <OutputType>Exe</OutputType>
+    <RootNamespace>SpritePacker</RootNamespace>
+    <AssemblyName>SpritePacker</AssemblyName>
+    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug</OutputPath>
+    <DefineConstants>DEBUG;</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <Externalconsole>true</Externalconsole>
+    <PlatformTarget>x86</PlatformTarget>
+    <Commandlineparameters>result.png /tmp/*.png</Commandlineparameters>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+    <DebugType>full</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release</OutputPath>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+    <Externalconsole>true</Externalconsole>
+    <PlatformTarget>x86</PlatformTarget>
+  </PropertyGroup>
+  <PropertyGroup>
+    <PreBuildEvent>git rev-parse HEAD &gt;../../latest-commit-hash.txt</PreBuildEvent>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="System" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Program.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
+  <ItemGroup>
+    <EmbeddedResource Include="latest-commit-hash.txt" />
+    <EmbeddedResource Include="Resources\VersionText.txt" />
+    <EmbeddedResource Include="Resources\HelpText.txt" />
+    <EmbeddedResource Include="Version.txt" />
+  </ItemGroup>
+  <ItemGroup>
+    <Folder Include="Resources\" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\SpritePacker\SpritePacker.csproj">
+      <Project>{2D3C4FAA-6D9C-4644-ABC0-361550A1884A}</Project>
+      <Name>SpritePacker</Name>
+    </ProjectReference>
+  </ItemGroup>
+</Project>
diff --git a/SpritePacker/Version.txt b/SpritePacker-CLI/Version.txt
similarity index 100%
rename from SpritePacker/Version.txt
rename to SpritePacker-CLI/Version.txt
diff --git a/SpritePacker.sln b/SpritePacker.sln
index d0803a3..1bd93ee 100644
--- a/SpritePacker.sln
+++ b/SpritePacker.sln
@@ -1,7 +1,7 @@
 ﻿
 Microsoft Visual Studio Solution File, Format Version 12.00
 # Visual Studio 2012
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "SpritePacker", "SpritePacker\SpritePacker.csproj", "{6EF47B64-1920-4827-BEEF-B262D5A2D214}"
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "SpritePacker-CLI", "SpritePacker-CLI\SpritePacker-CLI.csproj", "{6EF47B64-1920-4827-BEEF-B262D5A2D214}"
 EndProject
 Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution Items", "{5C9D36DD-3962-45BF-938E-BE1E258053EC}"
 	ProjectSection(SolutionItems) = preProject
@@ -9,12 +9,18 @@ Project("{2150E333-8FDC-42A3-9474-1A3956D46DE8}") = "Solution Items", "Solution
 		.gitignore = .gitignore
 	EndProjectSection
 EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "SpritePacker", "SpritePacker\SpritePacker.csproj", "{2D3C4FAA-6D9C-4644-ABC0-361550A1884A}"
+EndProject
 Global
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|x86 = Debug|x86
 		Release|x86 = Release|x86
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{2D3C4FAA-6D9C-4644-ABC0-361550A1884A}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{2D3C4FAA-6D9C-4644-ABC0-361550A1884A}.Debug|x86.Build.0 = Debug|Any CPU
+		{2D3C4FAA-6D9C-4644-ABC0-361550A1884A}.Release|x86.ActiveCfg = Release|Any CPU
+		{2D3C4FAA-6D9C-4644-ABC0-361550A1884A}.Release|x86.Build.0 = Release|Any CPU
 		{6EF47B64-1920-4827-BEEF-B262D5A2D214}.Debug|x86.ActiveCfg = Debug|x86
 		{6EF47B64-1920-4827-BEEF-B262D5A2D214}.Debug|x86.Build.0 = Debug|x86
 		{6EF47B64-1920-4827-BEEF-B262D5A2D214}.Release|x86.ActiveCfg = Release|x86
diff --git a/SpritePacker/Properties/AssemblyInfo.cs b/SpritePacker/Properties/AssemblyInfo.cs
index ec5fae7..06b7662 100644
--- a/SpritePacker/Properties/AssemblyInfo.cs
+++ b/SpritePacker/Properties/AssemblyInfo.cs
@@ -17,7 +17,7 @@ using System.Runtime.CompilerServices;
 // The form "{Major}.{Minor}.*" will automatically update the build and revision,
 // and "{Major}.{Minor}.{Build}.*" will update just the revision.
 
-[assembly: AssemblyVersion("0.1.*")]
+[assembly: AssemblyVersion("1.0.*")]
 
 // The following attributes are used to specify the signing key for the assembly,
 // if desired. See the Mono documentation for more information about signing.
diff --git a/SpritePacker/SpritePacker.csproj b/SpritePacker/SpritePacker.csproj
index e3cbe55..3a29a08 100644
--- a/SpritePacker/SpritePacker.csproj
+++ b/SpritePacker/SpritePacker.csproj
@@ -2,14 +2,14 @@
 <Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
-    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
-    <ProjectGuid>{6EF47B64-1920-4827-BEEF-B262D5A2D214}</ProjectGuid>
-    <OutputType>Exe</OutputType>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProjectGuid>{2D3C4FAA-6D9C-4644-ABC0-361550A1884A}</ProjectGuid>
+    <OutputType>Library</OutputType>
     <RootNamespace>SpritePacker</RootNamespace>
     <AssemblyName>SpritePacker</AssemblyName>
     <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
   </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
     <DebugSymbols>true</DebugSymbols>
     <DebugType>full</DebugType>
     <Optimize>false</Optimize>
@@ -17,41 +17,25 @@
     <DefineConstants>DEBUG;</DefineConstants>
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <Externalconsole>true</Externalconsole>
-    <PlatformTarget>x86</PlatformTarget>
-    <Commandlineparameters>result.png /tmp/*.png</Commandlineparameters>
+    <ConsolePause>false</ConsolePause>
   </PropertyGroup>
-  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
     <DebugType>full</DebugType>
     <Optimize>true</Optimize>
     <OutputPath>bin\Release</OutputPath>
     <ErrorReport>prompt</ErrorReport>
     <WarningLevel>4</WarningLevel>
-    <Externalconsole>true</Externalconsole>
-    <PlatformTarget>x86</PlatformTarget>
-  </PropertyGroup>
-  <PropertyGroup>
-    <PreBuildEvent>git rev-parse HEAD &gt;../../latest-commit-hash.txt</PreBuildEvent>
+    <ConsolePause>false</ConsolePause>
   </PropertyGroup>
   <ItemGroup>
     <Reference Include="System" />
     <Reference Include="System.Drawing" />
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="Program.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
     <Compile Include="Sprite.cs" />
-    <Compile Include="Utilities.cs" />
     <Compile Include="SpritePacker.cs" />
+    <Compile Include="Utilities.cs" />
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
-  <ItemGroup>
-    <EmbeddedResource Include="latest-commit-hash.txt" />
-    <EmbeddedResource Include="Resources\VersionText.txt" />
-    <EmbeddedResource Include="Resources\HelpText.txt" />
-    <EmbeddedResource Include="Version.txt" />
-  </ItemGroup>
-  <ItemGroup>
-    <Folder Include="Resources\" />
-  </ItemGroup>
-</Project>
+</Project>
\ No newline at end of file
